check (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2

  * d/control: set myself as maintainer (Closes: #964977)
  * d/{control,compat,rules}: switch to debhelper compat level 13
  * d/control:
    - bump std-version to 4.5.1 (no further changes)
    - drop dependency fulfilled since jessie
    - run wrap-and-sort
    - add Vcs fields
  * d/patches:
    - rebase
    - add patch to correct misspelling
    - add patch to remove testsuite result files
  * d/rules:
    - drop unneeded dh option '--buildsystem=autoconf --with autoreconf'
    - break configure lines
    - ignore intentional no-format-extra-args warnings
    - permit auto-test failures on powerpc and ppc64 (Related-to: #951667)
  * debian: cleanup unnecessary .dirs and .files items
  * d/tests: add simple autopkgtest
  * d/copyright:
    - update
    - add Upstream-Contact
  * d/watch: bump to version 4
  * d/clean: remove generated file to build twice
  * d/upstream/metadata: add basic data
  * d/README.Debian: drop ancient upgrade notice

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 05 Jan 2021 22:10:33 +0100

check (0.12.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #858823)
  * Update debian/watch, the project has moved to GitHub.
  * Remove 05no-timestamp-in-check-info.patch, upstream will apply filterdiff
    if present.
  * Fix a compiler error due to comparing an signed int with a size_t.
  * Remove src/check.h, it prevents out-of-tree builds from working correctly.
  * Bump debian/compat and Standards-Version.
  * Update README.Debian to get it past the spell checker.
  * Add Rules-Requires-Root: no.

 -- Guus Sliepen <guus@debian.org>  Mon, 03 Dec 2018 18:09:18 +0100

check (0.10.0-3) unstable; urgency=medium

  * Team upload.
  * Add PTHREAD_CFLAGS to the pkg-config file to hint the linker to use lpthread
    (Closes: #799991)
  * Added support for DEB_BUILD_OPTIONS=nocheck.

 -- Tobias Frost <tobi@debian.org>  Fri, 25 Sep 2015 18:05:46 +0200

check (0.10.0-2) unstable; urgency=medium

  * Team upload.
  * f/rules Fixing up sed regular expression to remove arch dependent line in
    header (Closes: #796304)
  * Depdend on libsubunit-dev (Closes: #796494)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Aug 2015 18:08:47 +0200

check (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #745987)
  * Update d/copyright, reformat it to the machine readable format.
  * Remove patch 04setitimer_hurd.patch from d/patches/series, applied upstream.
  * Refresh patch 03texi.patch
  * d/clean: remove some files to be able to build twice in a row
  * Bumping d/compat to level 9 (and therfore B-D on debhelper >=9)
  * Rewriting d/rules from scratch:
    - Short debhelper format
    - Using dh_autoreconf
    - configure: Enable subunit (needs B-D on libsubunit-dev) also patch the
      pkg-config file to use the subunit linking flags (Closes: #646093)
    - configure: Remove unknown option enable-plain-docdir
    - configure: Don't build and deleted shared libraries, just don't build it.
  * B-D on pkg-config
  * Delete leftover file d/q
  * Bump S-V to 3.9.6, no changes needed
  * Do not embedd timestamp in check.info (Closes: #728784)
  * Fix "FTCBFS: uses wrong compiler" with the solution from the BTS. (Closes:
    #788449)

 -- Tobias Frost <tobi@debian.org>  Thu, 20 Aug 2015 15:36:47 +0200

check (0.9.10-5) unstable; urgency=low

  * debian/patches/03texi.patch: Update patch and remove version and date
    information from check.info to handle Multi-Arch:Same (closes: #718200).
  * debian/rules:
    - Remove doc/check.info before build so it gets regenerated.
    - Remove first line from doc/check.info to handle Multi-Arch:Same.
  * debian/control: Add Build-Depends texinfo to build check.info.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 17 Aug 2013 20:15:46 +0200

check (0.9.10-4) unstable; urgency=low

  * debian/patches: Add 04setitimer_hurd.patch to fix build on hurd (closes:
    #715166).

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Wed, 10 Jul 2013 09:46:55 +0200

check (0.9.10-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
    - Add debian/patches/01pkgconfig.patch.
    - Add debian/patches/02awk.patch.
    - Add debian/patches/03texi.patch.
  * debian/patches/01pkgconfig.patch: Replace @PTHREAD_CFLAGS@ with -pthread
    (closes: #712140).
  * Remove doc/example/src/money.1.c.debdiff.
  * Revert changes to doc/stamp-vti.
  * Revert changes to doc/version.texi.
  * debian/rules:
    - Recognize DEB_BUILD_OPTIONS=noopt (closes: #690890).
    - Run testsuite after build (closes: #690834).
  * debian/control: Add Vcs-Browser and Vcs-Git fields.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Fri, 21 Jun 2013 11:23:31 +0200

check (0.9.10-2) unstable; urgency=low

  * Make pkg-config return the correct flags for static liking even
    when called without --static (closes: #711599)
  * Make check explicitely depend on mawk, unfortunately mawk and gawk
    are somewhat incompatible (see: #691684). This is also a partial
    solution to #711566.
  * Removed a comment from /usr/include/check_stdint.h that changed with
    the compiler used for building, breaking multi-arch (closes: #711566)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 10 Jun 2013 15:11:21 +0100

check (0.9.10-1) unstable; urgency=low

  * Add Thomas Bechtold to uploades, he also did the following changes:
  * New upstream release (closes: #709969)
  * Convert to Multi-Arch: same (thanks to Colin Watson) (closes: #693221).
  * Remove obsolete debian/check.files (since we no longer use
    dh_movefiles), and remove a related hack in debian/rules (thanks to Colin
    Watson).
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove Build-Conflicts with textinfo.

 -- Robert Lemmen <robertle@semistable.com>  Fri, 07 Jun 2013 11:52:15 +0100

check (0.9.8-2) unstable; urgency=low

  * Revert stupid change to check.m4 (closes: #528047, #581354)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 31 May 2012 19:05:16 +0100

check (0.9.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * -lcheck_pic provides instead of -lcheck by pkg-config.
    (Closes: #605207)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 26 Dec 2011 19:58:15 +0900

check (0.9.8-1) unstable; urgency=low

  * New upstream release (closes: #547736)
  * Bumped Standards-Version and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Mon, 18 Jan 2010 10:30:16 +0000

check (0.9.6-2) unstable; urgency=low

  * Fixed strdup implicit conversion (closes: #519597)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 18 Mar 2009 14:13:34 +0000

check (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 18:43:54 +0000

check (0.9.5-4) unstable; urgency=low

  * Added patch by Roland Stigge (closes: #468309)
  * Bumped standards version
  * Added Homepage field

 -- Robert Lemmen <robertle@semistable.com>  Sun, 15 Jun 2008 19:04:43 +0100

check (0.9.5-3) unstable; urgency=low

  * Build-Conflicts with texinfo (closes: #44637)
  * New watch file (closes: #449742)

 -- Robert Lemmen <robertle@semistable.com>  Fri,  7 Dec 2007 12:52:06 +0100

check (0.9.5-2) unstable; urgency=low

  * Fixes clean target in debian/rules
  * Fixes info file (closes: #440739, #440798)

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Sep 2007 15:00:48 +0200

check (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Tue, 28 Aug 2007 12:14:42 +0200

check (0.9.4-4) unstable; urgency=low

  * use dh_installinfo (closes: #410781)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 10 Apr 2007 23:16:43 +0200

check (0.9.4-3) unstable; urgency=low

  * Fixed a bug that breaks all loop tests that use "i" as a variable name
    (closes: #404118)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 21 Dec 2006 21:03:44 +0100

check (0.9.4-2) unstable; urgency=low

  * Fixed check.m4, thanks josh! (closes: #395466, #395467)
  * Added binary-indep target (closes: #395677)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 30 Oct 2006 11:19:36 +0100

check (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Sun, 15 Oct 2006 14:21:41 +0200

check (0.9.3-2) unstable; urgency=low

  * Also ships a PIC library (closes: #344309)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 22 Dec 2005 10:47:07 +0100

check (0.9.3-1) unstable; urgency=low

  * New upstream release including many fixes about threading and forking
    functionality
  * Some spurious files were removed in the debian/ dir (closes: #195607)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 30 Aug 2005 12:06:32 +0200

check (0.9.2-6) unstable; urgency=low

  * Rebuild for g++ transition
  * Updated to newer standards version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 19 Jul 2005 10:53:23 +0200

check (0.9.2-5) unstable; urgency=low

  * fixed documentation (Closes: #301214)
  * added include to check.h (Closes: #301319)

 -- Robert Lemmen <robertle@semistable.com>  Wed,  8 Jun 2005 14:50:11 +0200

check (0.9.2-4) unstable; urgency=low

  * added an upgrade notice that was missing

 -- Robert Lemmen <robertle@semistable.com>  Mon, 14 Mar 2005 19:12:09 +0100

check (0.9.2-3) unstable; urgency=low

  * fixed some problems with upstream files in debian/

 -- Robert Lemmen <robertle@semistable.com>  Tue, 15 Feb 2005 16:11:59 +0100

check (0.9.2-2) unstable; urgency=low

  * fixed FTBFS error when trying to copy the example data

 -- Robert Lemmen <robertle@semistable.com>  Thu, 13 Jan 2005 13:46:25 +0100

check (0.9.2-1) unstable; urgency=low

  * New upstream release (Closes: #261420)
  * Took over maintenance (Closes: #288213)
  * Updated to new policy version
  * Fixed copyright files (Closes: #187986)
  * General cleanups in debian/
  * Added watch file

 -- Robert Lemmen <robertle@semistable.com>  Sat,  8 Jan 2005 20:22:17 +0100

check (0.8.4-1) unstable; urgency=low

  * Changed Author(s): to Author: in copyright file to keep lintian
    happy.

  * debian/rules now uses upstream configure, DH_COMPAT=4, install
    target is simplified by additional use of debhelper, irrelevant
    dh_ program calls commented out.

  * New upstream release.  Closes: bug#85195.

 -- Britton Leo Kerin <bkerin@debian.org>  Sun, 08 Dec 2002 23:53:02 -0900

check (0.8.3-2) unstable; urgency=low

  * Corrected typos in check.h. closes: #151599

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Mon,  1 Jul 2002 16:21:57 +0100

check (0.8.3-1) unstable; urgency=low

  * New Upstream release
  * Added check.m4 to /usr/share/aclocal. Closes: #148044

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat, 25 May 2002 10:59:11 +0100

check (0.8.2-1) unstable; urgency=low

  * New Upstream Release. Closes: #144186

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Fri, 26 Apr 2002 10:54:45 +0100

check (0.8.1-2) unstable; urgency=low

  * Changed copyright details to LGPL. Closes: #141952

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Wed, 10 Apr 2002 12:55:49 +0100

check (0.8.1-1) unstable; urgency=low

  * New Upstream Release. Closes: #138898

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Fri, 22 Mar 2002 12:41:16 +0000

check (0.8.0-1) unstable; urgency=low

  * Initial Release. Closes: #132568

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sun, 10 Feb 2002 15:55:59 +0000
